## GdauiCloud

GdauiCloud — Cloud widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_cloud_new ()
void | gdaui_cloud_set_selection_mode ()
void | gdaui_cloud_filter ()
GtkWidget * | gdaui_cloud_create_filter_widget ()
gdouble | (*GdauiCloudWeightFunc) ()
void | gdaui_cloud_set_weight_func ()

## Types and Values

struct | GdauiCloud

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

The GdauiCloud widget displays a string for each row in a GdaDataModel for which the size is variable (determined either by some data in the data model, or by a function provided by the programmer).

Depending on the selection mode of the widget, each string can be selected by the user and the "selection-changed" signal is emitted.

## Functions

### gdaui_cloud_new ()

    GtkWidget *
    gdaui_cloud_new (GdaDataModel *model,
                     gint label_column,
                     gint weight_column);

Creates a new GdauiCloud widget suitable to display the data in `model`

#### Parameters

model | a GdaDataModel |

#### Returns

the new widget.

[transfer full]

Since: 4.2

### gdaui_cloud_set_selection_mode ()

    void
    gdaui_cloud_set_selection_mode (GdauiCloud *cloud,
                                    GtkSelectionMode mode);

Sets `cloud` 's selection mode

#### Parameters

cloud | a GdauiCloud widget |
mode | the desired selection mode |

Since: 4.2

### gdaui_cloud_filter ()

    void
    gdaui_cloud_filter (GdauiCloud *cloud,
                        const gchar *filter);

Filters the elements displayed in `cloud` , by altering their color.

#### Parameters

cloud | a GdauiCloud widget |
filter | the filter to use, or `NULL` to remove any filter. | [allow-none]

Since: 4.2

### gdaui_cloud_create_filter_widget ()

    GtkWidget *
    gdaui_cloud_create_filter_widget (GdauiCloud *cloud);

Creates a search widget linked directly to modify `cloud` 's appearance.

#### Parameters

cloud | a GdauiCloud widget |

#### Returns

a new widget.

[transfer full]

Since: 4.2

### GdauiCloudWeightFunc ()

    gdouble
    (*GdauiCloudWeightFunc) (GdaDataModel *model,
                             gint row,
                             gpointer data);

### gdaui_cloud_set_weight_func ()

    void
    gdaui_cloud_set_weight_func (GdauiCloud *cloud,
                                 GdauiCloudWeightFunc func,
                                 gpointer data);

Specifies a function called by `cloud` to compute each row's respective weight.

#### Parameters

cloud | a GdauiCloud widget |
func | a GdauiCloudWeightFunc function which computes weights, or `NULL` to unset. | [allow-none][scope notified]
data | a pointer to pass as last argument of `func` each time it is called, or `NULL`. | [allow-none]

Since: 4.2

## Types and Values

### struct GdauiCloud

    struct GdauiCloud {
    	GtkBox             object;

    	GdauiCloudPriv     *priv;
    };